using System;
using System.ComponentModel.DataAnnotations;
using AutomatizovanySklad.Core.Entity;

namespace Web.Models.Subjekt {
  public class SubjektModel : LayoutModel {
    public int Id { get; set; }

    [StringLength(50, ErrorMessage = "Jméno nesmí být delší jak 50 znaků.")]
    [Required]
    [Display(Name = "Jméno / Název *")]
    public string Jmeno { get; set; }


    [RegularExpression("[0-9A-Z]{8,15}", ErrorMessage = "Špatný format IČO - vzorové IČO - 	00029947")]
    [Display(Name = "IČO")]
    public string ICO { get; set; }

    [RegularExpression("[A-Z]{2}[0-9A-Z]{8,15}", ErrorMessage = "Špatný format DIČ - vzorové DIČ - CZ00029947")]
    [Display(Name = "DIČ")]
    public string DIC { get; set; }

    [Display(Name = "Poznámka")]
    public string Poznamka { get; set; }

    [Display(Name = "Typ subjektu")]
    [Required]
    public TypSubjektu TypSubjektu { get; set; }

    [Required]
    public virtual Adresa Adresa { get; set; } = new Adresa();

    [Required]
    public virtual Kontakt Kontakt { get; set; } = new Kontakt();

    public DateTime DatumVytvoreni { get; set; }

    public int VytvorilId { get; set; }

    public DateTime? DatumUpravy { get; set; }

    public int UpravilId { get; set; }

    [Display(Name = "Info o modifikaci")]
    public string InfoOModifikaci { get; set; }
  }
}